<template>
  <div class="room">
    <b-card
      class="selectedDate text-secondary mb-3"
      bg-variant="light">
      <b class="selectedDate-title">What you have choosen</b>
      <div class="mt-2 mb-1">
        <b>Check-in: </b>
        {{ checkIn }}
      </div>
      <div>
        <b>Check-out: </b>
        {{ checkOut }}
      </div>
    </b-card>
    <b-form-group label="Room">
      <div
        v-for="(type, index) in roomTypeOptions"
        :key="index">
        <b-form-radio
          v-model="roomType"
          v-validate="'required'"
          :name="`roomType-${type.value}`"
          :value="type.value"
          @change="value => $emit('setRoomType', value)">
            {{ type.name }}
          </b-form-radio>
      </div>
    </b-form-group>
    <b-form-group label="Room View">
      <div
        v-for="(view, index) in roomViewOptions"
        :key="index">
        <b-form-radio
          v-model="roomView"
          v-validate="'required'"
          :name="`roomView-${view.value}`"
          :value="view.value"
          @change="value => $emit('setRoomView', value)">
            {{ view.name }}
          </b-form-radio>
      </div>
    </b-form-group>
  </div>
</template>

<script>
export default {
  data () {
    return {
      roomTypeOptions: [
        {
          name: 'Standard',
          value: 'standard'
        },
        {
          name: 'Deluxe',
          value: 'deluxe'
        },
        {
          name: 'Suite',
          value: 'suite'
        }
      ],
      roomViewOptions: [
        {
          name: 'Sea',
          value: 'sea'
        },
        {
          name: 'Land',
          value: 'land'
        }
      ]
    }
  },

  props: {
    roomType: {
      type: String,
      required: true
    },
    roomView: {
      type: String,
      required: true
    },
    checkIn: {
      type: String,
      required: true
    },
    checkOut: {
      type: String,
      required: true
    }
  }
}
</script>

<style>
.selectedDate {
  font-size: .9em;
}
.selectedDate-title {
  font-size: 1.1em;
}
</style>
